unit OrdInfo;

interface

uses
  {$IFDEF WIN32} Windows,
  {$ELSE}        WinTypes, WinProcs,
  {$ENDIF}
  ShellAPI, SysUtils, Classes, Controls, Forms, StdCtrls, ExtCtrls, Buttons;

type

  { TformOrdInfo }
  TformOrdInfo = class(TForm)
    Label1: TLabel;
    Label3: TLabel;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    procedure btnWebClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnHelpClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    procedure CreateParams(var Params: TCreateParams); override;
  public
    { Public declarations }
  end;

procedure Show_formOrdInfo(AOwner: TComponent);

implementation

{$R *.DFM}

procedure Show_formOrdInfo(AOwner: TComponent);
var
  formOrdInfo: TformOrdInfo;
begin
  formOrdInfo := TformOrdInfo.Create(AOwner);
  formOrdInfo.Show;
end;

{ TformOrdInfo }
procedure TformOrdInfo.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  with Params do
  begin
    WndParent := TForm(Owner).Handle;
    Style := Style or ws_DlgFrame;
  end;
end;

procedure TformOrdInfo.btnWebClick(Sender: TObject);
begin
  ShellExecute(Handle, nil, 'http://www.interlog.com/~ljee/register.htm', nil, nil, SW_SHOWNORMAL);
end;

procedure TformOrdInfo.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

procedure TformOrdInfo.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TformOrdInfo.btnHelpClick(Sender: TObject);
begin
  Application.HelpCommand(HELP_CONTENTS, 0);
end;

procedure TformOrdInfo.FormShow(Sender: TObject);
var
  L, T: Integer;
begin
  L := TForm(Owner).Left + (TForm(Owner).Width  - Width)  div 2;
  T := TForm(Owner).Top  + (TForm(Owner).Height - Height) div 2;
  SetBounds(L, T, Width, Height);
end;

end.

